Send patches - preferably formatted by git format-patch - to patches at archlinux32 dot org.
summaryrefslogtreecommitdiff
path: root/bin/build-packages
diff options
context:
space:
mode:
authorErich Eckner <erich.eckner.ext@bestsecret.com>2023-05-22 11:15:55 +0200
committerErich Eckner <erich.eckner.ext@bestsecret.com>2023-05-22 11:15:55 +0200
commit55d6ca33023ad8cbd1420a54ffc1e49e5453e942 (patch)
treef2fbaa70e80e5afedfd196886e2e4740cb08a162 /bin/build-packages
parentfd8427a467fa80915199ef1465ae07252bc704af (diff)
repair build-packages: use the new git layout
Diffstat (limited to 'bin/build-packages')
-rwxr-xr-xbin/build-packages6
1 files changed, 1 insertions, 5 deletions
diff --git a/bin/build-packages b/bin/build-packages
index d1a14fc..485d19a 100755
--- a/bin/build-packages
+++ b/bin/build-packages
@@ -381,11 +381,7 @@ while [ "${count}" -ne 0 ] && \
tmp_dir=$(mktemp -d "${work_dir}/tmp.build-packages.XXXXXX")
trap bail_out EXIT
- if ! git_repo=$(find_repository_with_commit "${git_revision}") || \
- [ -z "${git_repo}" ] || \
- ! find_pkgbuilds "${package}" "${repository}" "${git_repo}" "${git_revision}" "${mod_git_revision}" || \
- ! extract_source_directory "${git_repo}" "${git_revision}" "${mod_git_revision}" "${tmp_dir}" "${sub_pkgrel}" || \
- ! apply_trunk_patch "${tmp_dir}" "${diff_source_dir}"; then
+ if ! extract_source_directory "${repository}" "${git_revision}" "${mod_git_revision}" "${tmp_dir}" "${sub_pkgrel}"; then
# report local failure (probably a missing commit) to build-master
# shellcheck disable=SC2029
ssh -o PasswordAuthentication=No \